# items

Types and list of items used throughout the script. Make sure to add items in here if you are adding custom items to toolshop or blackmarket. You can set prop to nil for custom items.

```lua
---@class ItemProp
---@field model string
---@field pos vector3
---@field rot vector3
---@field boneId number

---@class ScriptItem
---@field item string         -- The actual item name used in inventory
---@field label string        -- Display label
---@field icon string         -- Icon URL or asset
---@field prop ItemProp       -- Prop to attach when item is equipped/used

---@type table<string, ScriptItem>
return {
    -- salvageable parts
    door = {
        item = "t1ger_vehicledoor",
        label = "Vehicle Door",
        icon = "https://i.postimg.cc/m211T9R9/t1ger-vehicledoor.png",
        prop = {model = "imp_prop_impexp_car_door_04a", pos = vector3(-0.7, -0.2, 0.0), rot = vector3(0.0, -10.0, 90.0), boneId = 28422}
    },
    hood = {
        item = "t1ger_vehiclehood",
        label = "Vehicle Hood",
        icon = "https://i.postimg.cc/gJML2qnV/t1ger-vehiclehood.png",
        prop = {model = "imp_prop_impexp_bonnet_04a", pos = vector3(0.0, 0.20, 0.12), rot = vector3(-20.0, 0.0, 180.0), boneId = 28422}
    },
    trunk = {
        item = "t1ger_vehicletrunk",
        label = "Vehicle Trunk",
        icon = "https://i.postimg.cc/Jn7B8d47/t1ger-vehicletrunk.png",
        prop = {model = "imp_prop_impexp_trunk_01a", pos = vector3(0.0, 0.15, 0.1), rot = vector3(30.0, 0.0, 0.0), boneId = 28422}
    },
    wheel = {
        item = "t1ger_vehiclewheel",
        label = "Vehicle Wheel",
        icon = "https://i.postimg.cc/9Xnq3b3V/t1ger-vehiclewheel.png",
        prop = {model = "imp_prop_impexp_tyre_01c", pos = vector3(0.0, -0.1, 0.2), rot = vector3(0.0, 0.0, 0.0), boneId = 28422}
    },
    
    -- chopping tools
    socket_wrench = { -- Slow tool for loosening wheel bolts.
        item = "t1ger_socketwrench",
        label = "Socket Wrench",
        icon = "https://i.postimg.cc/3R6gHT6m/t1ger-socketwrench.png",
        prop = {model = "imp_prop_torque_wrench_01a", pos = vector3(0.08, -0.07, -0.07), rot = vector3(-55.0, 30.0, 0.0), boneId = 57005}
    },
    impact_wrench = {
        item = "t1ger_impactwrench",
        label = "Impact Wrench",
        icon = "https://i.postimg.cc/MKhLLmk5/t1ger-impactwrench.png",
        prop = {model = "imp_prop_impact_driver_01a", pos = vector3(0.12, -0.09, -0.09), rot = vector3(-90.0, 90.0, 40.0), boneId = 57005}
    },
    cutting_torch = {
        item = "t1ger_cuttingtorch",
        label = "Cutting Torch",
        icon = "https://i.postimg.cc/6pTWJKhH/t1ger-cuttingtorch.png",
        prop = {model = "prop_tool_blowtorch", pos = vector3(0.12, -0.12, -0.11), rot = vector3(-60.0, 0.0, 0.0), boneId = 57005}
    },
    angle_grinder = {
        item = "t1ger_anglegrinder",
        label = "Angle Grinder",
        icon = "https://i.postimg.cc/fRs6YnLw/t1ger-anglegrinder.png",
        prop = {model = "imp_prop_grinder_01a", pos = vector3(0.06, 0.10, -0.04), rot = vector3(140.0, 180.0, 0.0), boneId = 57005}
    },
    spanner_set = {
        item = "t1ger_spannerset",
        label = "Spanner Set",
        icon = "https://i.postimg.cc/2ynbWd9r/t1ger-spannerset.png"
    },
    -- other tools:
    lockpick = {
        item = "t1ger_lockpick",
        label = "Lockpick",
        icon = "https://i.postimg.cc/MGQzHYNV/t1ger-lockpickset.png",
        prop = {model = "", pos = vector3(0.0, 0.0, 0.0), rot = vector3(0.0, 0.0, 0.0), boneId = 28422}
    },
    vehicle_radar = {
        item = "t1ger_vehicleradar",
        label = "Vehicle Radar",
        icon = "https://i.postimg.cc/MpjL09wG/t1ger-vehicleradar.png",
        prop = {model = "", pos = vector3(0.0, 0.0, 0.0), rot = vector3(0.0, 0.0, 0.0), boneId = 28422}
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
